This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 797386 - RESTful API creates wrongly named sub-categories
RESTful API creates wrongly named sub-categories
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: Mark Proctor
Lukáš Petrovický
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-25 08:48 EST by Lukáš Petrovický
Modified: 2013-11-07 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukáš Petrovický 2012-02-25 08:48:56 EST
When RESTful API is used with 5.3.0 ER4 and you use it to create package "A/B" (package "B" is a child of "A"), what is actually created is "A/_B" (package "_B" is a child of "A").

The problem lies here:
https://github.com/droolsjbpm/guvnor/blob/5.3.x/guvnor-webapp/src/main/java/org/drools/guvnor/server/jaxrs/CategoryResource.java#L153

Instead of properly understanding the "/" as a separator of two category names, the code just puts the "/" at the beginning on the child category's name. And this name is later replaced with "_".

The fix is fairly trivial:
name = categoryPath.substring(lastDotIndex + 1);
Comment 3 Ryan Zhang 2012-04-23 03:40:21 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 5 Lukáš Petrovický 2012-05-02 05:50:01 EDT
VERIFIED

Note You need to log in before you can comment on or make changes to this bug.